gnutls_cipher_get_key_size(3)

NAME
gnutls_cipher_get_key_size - Returns the length of the cipher's key size

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_cipher_get_key_size(gnutls_cipher_algorithm_t algorithm);

ARGUMENTS

gnutls_cipher_algorithm_t algorithm
    is an encryption algorithm

DESCRIPTION
Returns the length (in bytes) of the given cipher's key size. Returns 0 if the given cipher is invalid.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.